<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, viewport-fit=cover">
        <meta name="theme-color" content="#000000" media="(prefers-color-scheme: dark)">
        <meta name="description" content="[&#x2734;&#xFE0E;]&nbsp&nbsp&nbsp𝗦 𝗧 𝗥 𝗨 𝗖 𝗧">
        <link rel="icon" type="image/svg+xml" href="data:image/svg+xml,%3Csvg fill='oklch(100%25 0 0)' viewBox='0 0 24 24' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='m11.74 24-0.50781-7.8418c-0.054543-0.84648-1.0348-1.286-1.7031-0.76367l-4.2461 3.3223 3.3223-4.2461c0.54143-0.69181 0.12004-1.7097-0.75195-1.8164l-5.3535-0.6543 5.3516-0.6543c0.87231-0.10607 1.2947-1.1238 0.75391-1.8164l-3.3223-4.2461 4.2441 3.3203c0.66962 0.52184 1.6502 0.081544 1.7051-0.76562l0.50781-7.8379h-8.7383a3.0019 3.0019 135 0 0-3.0019 3.0019v17.997a3.0013 3.0013 45 0 0 3.0013 3.0013z'/%3E%3Cpath d='m12.26 0 0.50781 7.8418c0.05423 0.84669 1.0349 1.2864 1.7031 0.76367l4.2461-3.3223-3.3184 4.2422c-0.54457 0.69368-0.12158 1.7161 0.75391 1.8223l5.3477 0.65234-5.3516 0.6543c-0.87229 0.1061-1.2947 1.1238-0.75391 1.8164l3.3223 4.2461-4.2676-3.3379c-0.65879-0.51416-1.6244-0.0819-1.6797 0.75195l-0.50976 7.8691h8.7404a2.9998 2.9998 135 0 0 2.9998-2.9998v-18.003a2.9968 2.9968 45 0 0-2.9968-2.9968z'/%3E%3C/svg%3E">
        <title>𝗦 𝗧 𝗥 𝗨 𝗖 𝗧</title>
        <style>
            @font-face{
                src: url("ogcourier.woff2");
                font-family: courier;
            }
            *::selection{
                background-color: #fff;
                color: #000;
            }
            html{
                scrollbar-width: none;
            }
            body{
                justify-content: center;
                background-color: #000;
                flex-direction: column;
                box-sizing: border-box;
                scrollbar-width: none;
                font-family: courier;
                align-items: center;
                min-height: 100dvh;
                cursor: zoom-in;
                padding: 20px;
                display: flex;
                width: 100vw;
                color: #fff;
                margin: 0;
                gap: 20px;
            }
            #image-wrapper{
                width: min(38rem, 100vw);
                aspect-ratio: 1 / 1;
                position: relative;
            }
            #hellcat{
                position: absolute;
                user-select: none;
                height: 100%;
                width: 100%;
                left: 0;
                top: 0;
            }
            #mask{
                mask-position: -9999px -9999px;
                mask-image: url("cursor.webp");
                -webkit-touch-callout: none;
                image-rendering: pixelated;
                -webkit-user-select: none;
                mask-repeat: no-repeat;
                position: absolute;
                user-select: none;
                mask-size: cover;
                height: 100%;
                width: 100%;
                left: 0;
                top: 0;
            }
            #info{
                max-width: 53ch;
                cursor: text;
                margin: 0;
            }
        </style>
    </head>
    <body>
        <div id="image-wrapper" role="none">
            <img id="hellcat" src="hellcat.gif" alt="☠">
            <img id="mask" src="qr.png" alt="something reveals itself in the shadows">
        </div>
        <p id="info">oh dear, you've fallen down a qr code rabbit hole! the basilisk has hidden a qr code on each of its friends websites. scanning one will lead you to the next. some might be hard, but finding them is your best chance to escape. good luck!</p>
        <script>
            const elementMask = document.getElementById("mask");

            function moveCursor(e){
                const rect = mask.getBoundingClientRect();
                elementMask.style.maskPosition = `${(e.clientX - rect.left) - (rect.width * 0.5)}px ${(e.clientY - rect.top) - (rect.height * 0.5)}px`;
            };

            function resetCursor(){
                elementMask.style.maskPosition = "-9999px -9999px";
            };

            elementMask.addEventListener("touchstart", e => {e.preventDefault(); moveCursor(e)});
            window.addEventListener("pointermove", moveCursor, {passive: true});
            window.addEventListener("touchend", resetCursor, {passive: true});
        </script>
    </body>
</html>
